ru.bitel.bgbilling.kernel.task.common.bean

## Enum TaskStatus

- java.lang.Object
- - java.lang.Enum<TaskStatus>
  - - ru.bitel.bgbilling.kernel.task.common.bean.TaskStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TaskStatus>

      public enum TaskStatus
      extends java.lang.Enum<TaskStatus>

  Статус задачи планировщика в виде перечисления.
  Since:
    7.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLE`
    `ENABLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStatus()`
    `java.lang.String` | `getStatusTitle()`
    `static TaskStatus` | `getTaskStatus(int st)`
    `java.lang.String` | `toString()`
    `static TaskStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TaskStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLE

          public static final TaskStatus DISABLE

    - #### ENABLE

          public static final TaskStatus ENABLE

  - ### Method Detail

    - #### values

          public static TaskStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskStatus c : TaskStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getStatus

          public int getStatus()

    - #### getStatusTitle

          public java.lang.String getStatusTitle()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TaskStatus>`

    - #### getTaskStatus

          public static TaskStatus getTaskStatus(int st)